Summary: An NSS library for the Berkeley DB.
Name: nss_db
Version: 2.2
Release: 6
Source: ftp://sources.redhat.com/pub/glibc/releases/nss_db-%{version}.tar.gz
URL: http://sources.redhat.com/glibc/
Patch: nss_db-2.1.92-compat.patch
License: GPL
Group: System Environment/Libraries
PreReq: /sbin/ldconfig
BuildPrereq: db3-devel >= 3.1.14
Conflicts: glibc < 2.2
Conflicts: db3 <= 3.1.14-6
Requires: make
BuildRoot: %{_tmppath}/%{name}-root

%description
Nss_db is a set of C library extensions which allow Berkeley Databases
to be used as a primary source of aliases, ethers, groups, hosts,
networks, protocol, users, RPCs, services, and shadow passwords
(instead of or in addition to using flat files or NIS). Install nss_db
if your flat name service files are too large and lookups are slow.

%package compat
Summary: An NSS compatibility library for Berkeley Databases and glibc 2.0.x.
Group: System Environment/Libraries

%description compat
Nss_db-compat is a set of C library extensions which allow Berkeley
Databases to be used as a primary source of aliases, ethers, groups,
hosts, networks, protocol, users, RPCs, services, and shadow passwords
(instead of or in addition to using flat files or NIS) from programs
linked against glibc 2.0.x.

%prep
%setup -q -a 0
aclocal

mv %{name}-%{version} %{name}-compat-%{version}
pushd %{name}-compat-%{version}
%patch -p1 -b .compat
aclocal
popd

%build
%configure
make
pushd %{name}-compat-%{version}
%configure
make
popd

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
install -m755 -d ${RPM_BUILD_ROOT}/{%{_lib},/var/db,%{_bindir}}
install -m644 db-Makefile ${RPM_BUILD_ROOT}/var/db/Makefile
install -m755 makedb ${RPM_BUILD_ROOT}/%{_bindir}/
install -m755 .libs/libnss_db.so.[0-9]* ${RPM_BUILD_ROOT}/%{_lib}/
pushd %{name}-compat-%{version}
install -m755 .libs/libnss_db.so.[0-9]* ${RPM_BUILD_ROOT}/%{_lib}/
popd

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING* ChangeLog NEWS README THANKS
/%{_lib}/libnss_db*2.*
%{_bindir}/makedb
%config /var/db/*

%ifnarch sparc64 ia64

%files compat
%defattr(-,root,root)
/%{_lib}/libnss_db*1.*

%post compat -p /sbin/ldconfig

%postun compat -p /sbin/ldconfig

%endif

%changelog
* Mon Aug  6 2001 Nalin Dahyabhai <nalin@redhat.com>
- require db3-devel at build-time, not db3 (#49544)

* Tue May 25 2001 Nalin Dahyabhai <nalin@redhat.com>
- don't include copies of the shared libraries with the soname for their names

* Thu May 24 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Tue Feb 27 2001 Nalin Dahyabhai <nalin@redhat.com>
- don't own /var/db, the filesystem package does

* Tue Feb 13 2001 Nalin Dahyabhai <nalin@redhat.com>
- require make (#27313)
- add the docs to the package

* Tue Dec 19 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 2.2

* Thu Sep 14 2000 Jakub Jelinek <jakub@redhat.com>
- separate from db3
